<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class MediaMallFactoryBackendControllerRequests extends JControllerLegacy
{
    public function delete()
    {
        $app = JFactory::getApplication();
        $batch = $app->input->post->get('cid', array(), 'array');
        $model = $this->getModel('Request');

        if ($model->delete($batch)) {
            $msg = FactoryText::plural('list_delete_success', count($batch));
        } else {
            $msg = FactoryText::_('list_delete_error');

            foreach ($model->getErrors() as $error) {
                $app->enqueueMessage($error, 'error');
            }
        }

        $this->setRedirect(FactoryRoute::view('requests'), $msg);
    }
}
