<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class FactoryText
{
    public static function _($string, $jsSafe = false, $interpretBackSlashes = true, $script = false)
    {
        $original = $string;
        $option = FactoryApplication::getInstance()->getOption();
        $string = strtoupper($option . '_' . $string);

        // TODO FACTORY: Check if debugging and language string missing from language file
//    if (0 && JFactory::getApplication()->getCfg('debug') && !JFactory::getLanguage()->hasKey($string)) {
//      jimport('joomla.filesystem.file');
//
//      // Check if default language file exists and create if not
//      $path = JPATH_BASE.DS.'language'.DS.'en-GB'.DS.'en-GB.' . $option . '.ini';
//      if (!JFile::exists($path)) {
//        $contents = '';
//        JFile::write($path, $contents);
//      }
//
//      // Add new language string and save language file
//      $contents = rtrim(JFile::read($path), PHP_EOL) . PHP_EOL . $string . '="' . str_replace('_', ' ', $original) . '"';
//      JFile::write($path, $contents);
//    }

        if (0) {
            return $original;
        }

        return JText::_($string, $jsSafe, $interpretBackSlashes, $script);
    }

    public static function sprintf()
    {
        $args = func_get_args();
        $option = FactoryApplication::getInstance()->getOption();
        $args[0] = strtoupper($option . '_' . $args[0]);

        return call_user_func_array(array('JText', 'sprintf'), $args);
    }

    public static function script($string = null, $jsSafe = false, $interpretBackSlashes = true)
    {
        $option = JFactory::getApplication()->input->getCmd('option');
        $string = strtoupper($option . '_' . $string);

        return JText::script($string, $jsSafe, $interpretBackSlashes);
    }

    public static function plural($string, $n)
    {
        $option = FactoryApplication::getInstance()->getOption();
        $string = strtoupper($option . '_' . $string);

        return JText::plural($string, $n);
    }
}
