<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

echo JHtml::_('bootstrap.startTabSet', 'config', array('active' => 'general')); ?>
<?php foreach ($this->getConfigTabs() as $tab => $sides): ?>
    <?php echo JHtml::_('bootstrap.addTab', 'config', $tab, FactoryText::_('settings_tab_' . $tab)); ?>

    <?php foreach ($sides as $side => $fields): ?>
        <div class="width-<?php echo 'full' == $side ? 100 : 50; ?> <?php echo 'left' == $side ? 'fltlft' : 'fltrt'; ?>">

            <?php foreach ($fields as $element): ?>
                <fieldset class="adminform">
                    <legend><?php echo FactoryText::_('settings_fieldset_' . $element); ?></legend>

                    <table>
                        <?php foreach ($this->getConfigFields($tab, $element) as $field): ?>
                            <tr>
                                <?php if ('' != $field->label): ?>
                                    <th><?php echo $field->label; ?></th>
                                <?php endif; ?>

                                <td><?php echo $field->input; ?></td>
                            </tr>
                        <?php endforeach; ?>
                    </table>
                </fieldset>
            <?php endforeach; ?>
        </div>
    <?php endforeach; ?>
    <?php echo JHtml::_('bootstrap.endTab'); ?>

    <div class="clr"></div>
<?php endforeach; ?>
<?php echo JHtml::_('bootstrap.endTabSet'); ?>

<?php echo $this->renderHiddenFields(); ?>
