<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class MediaMallFactoryTableType extends FactoryTable
{
    public function __construct(&$db)
    {
        parent::__construct('#__mediamallfactory_types', 'id', $db);
    }

    public function getViews()
    {
        $unlimited = FactoryApplication::getInstance()->getParam('general.global.unlimited_views', 0);
        if ($unlimited) {
            return 0;
        }

        return $this->views;
    }
}
