<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

class MediaMallFactoryBackendViewOrder extends FactoryView
{
    protected
        $buttons = array('apply', 'save', 'close'),
        $get = array('state', 'item', 'form'),
        $css = array('edit', 'views/edit', 'admin/edit'),
        $behaviors = array('tooltip', 'formvalidation');

    protected function addToolbar()
    {
        if (in_array($this->item->status, array(20, 30))) {
            unset($this->buttons[0], $this->buttons[1]);
        }

        return parent::addToolbar();
    }

    protected function setTitle()
    {
        JToolBarHelper::title(FactoryText::sprintf('view_title_order', $this->item->title, $this->item->id));

        return true;
    }
}
