<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

JLoader::register('MediaMallFactoryFrontendModelAdminMessage', FactoryApplication::getInstance()->getPath('component_site') . DS . 'models' . DS . 'adminmessage.php');

class MediaMallFactoryFrontendModelPaymentRequestComment extends MediaMallFactoryFrontendModelAdminMessage
{
    protected function allowSave($data)
    {
        // Check if the request exists and belongs to the user.
        $table = FactoryTable::getInstance('PaymentRequest');
        $table->load(array('id' => $data['item_id'], 'user_id' => $data['user_id']));

        if ($data['item_id'] != $table->id) {
            $this->setError(FactoryText::sprintf('paymentrequestcomment_save_error_request_not_found', $data['item_id']));
            return false;
        }

        return true;
    }

    protected function prepareData(&$data)
    {
        $data['owner_id'] = $data['user_id'];
    }
}
