<?php

/**
-------------------------------------------------------------------------
mediamallfactory - Media Mall Factory 4.2.2
-------------------------------------------------------------------------
 * @author thePHPfactory
 * @copyright Copyright (C) 2011 SKEPSIS Consult SRL. All Rights Reserved.
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Websites: http://www.thePHPfactory.com
 * Technical Support: Forum - http://www.thePHPfactory.com/forum/
-------------------------------------------------------------------------
*/

defined('_JEXEC') or die;

JLoader::register('MediaMallFactoryFrontendModelAdminMessages', FactoryApplication::getInstance()->getPath('component_site') . DS . 'models' . DS . 'adminmessages.php');

class MediaMallFactoryFrontendModelPaymentRequestComments extends MediaMallFactoryFrontendModelAdminMessages
{
    protected $request = null;

    public function getRequest()
    {
        if (is_null($this->request)) {
            $request_id = JFactory::getApplication()->input->get->getInt('request_id', 0);
            $user_id = JFactory::getUser()->id;
            $table = FactoryTable::getInstance('PaymentRequest');

            $table->load(array('id' => $request_id, 'user_id' => $user_id));

            if ($request_id != $table->id) {
                throw new Exception(FactoryText::sprintf('paymentrequestcomments_request_not_found', $request_id), 404);
                return false;
            }

            $this->request = $table;
        }

        return $this->request;
    }

    public function getItems($type = null, $item_id = null)
    {
        return parent::getItems('payment_request', $this->getRequest()->id);
    }
}
